//Copyright (c) Microsoft Corporation.  All rights reserved.

using System;
using System.Collections.Generic;
using System.Text;
using Eas.WebCrawler.Model.Core;

namespace Eas.WebCrawler.Model.Actions {
    internal class PauseAction : SleepingAction{

        #region ProcessingAction Members

        public override ProcessingAction EndAction(WorkerContext context, Eas.WebCrawler.Model.Core.BaseProcessingState state, IAsyncResult result) {
            base.EndAction(context, state, result);
            return this;
        }

        public override Eas.WebCrawler.Interfaces.WorkerState WorkerState {
            get { return Eas.WebCrawler.Interfaces.WorkerState.Paused; }
        }

        public override ActionId ActionId {
            get { return ActionId.Paused; }
        }

        #endregion
    }
}
