//Copyright (c) Microsoft Corporation.  All rights reserved.

using System;
using System.Collections.Generic;
using System.Text;
using Eas.WebCrawler.Interfaces;
using Eas.WebCrawler.Model.Actions;

namespace Eas.WebCrawler.Test.Model {
    internal static class ActionHelper {
        public static WorkerState TranslatActionIDToWorkerState(ActionId action) {
            switch (action) {
                case ActionId.Unstarted:
                    return WorkerState.Unstarted;
                case ActionId.Paused:
                    return WorkerState.Paused;
                case ActionId.Terminal:
                    return WorkerState.Stopped;
                default:
                    return WorkerState.Working;
            }
        }
    }
}
