//Copyright (c) Microsoft Corporation.  All rights reserved.

using System;
using System.Collections.Generic;
using System.Text;

namespace Eas.WebCrawler.Test.Scenario {
    public static class UriHelper {

        public static Uri Google = new Uri("http://www.google.com");
        public static Uri Yahoo = new Uri("http://www.yahoo.com");
        public static Uri Partial = new Uri("default.aspx", UriKind.RelativeOrAbsolute);
        public static Uri DeepPartial = new Uri("base/next.aspx", UriKind.RelativeOrAbsolute);
        public static Uri Msn = new Uri("http://www.msn.com");
        public static Uri Microsoft = new Uri("http://www.microsoft.com");

        public static Uri HtmlRef = new Uri("http://www.saltwell.com/a.html");
        public static Uri PhpRef = new Uri("http://www.saltwell.com/b.php");
    }
}
